<?php

/**
 * Clase Bean para Colaborador
 *
 * @package    Prj
 * @subpackage ColaboradorBean
 * @author     Willy
 * @version    SVN: : ColaboradorBean.class.php,v 1.1 2009/05/18 21:20:15 william.taype Exp $
 */
class ColaboradorBean {

  protected $IdColaborador;
  protected $IdPadre;
  protected $IdPadreAnterior;
  protected $IdTipoColaborador;
  protected $Dni;
  protected $Nombres; 
  protected $ApellidoPaterno;
  protected $ApellidoMaterno;
  protected $Direccion;
  protected $Email;
  protected $Telefono;
  protected $Celular;
  protected $Estado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $UsuarioEliminado;
  protected $FechaEliminado;
  protected $Eliminado;
  protected $FechaNacimiento;
  protected $GradoInstruccion;
  protected $NumeroHijos;
  protected $Sueldo;
  protected $Sexo;
  protected $EstadoCivil; 
  protected $IdRol;  
  protected $Usuario;
  protected $FechaIngreso;
  protected $NombreCompleto;
  
  protected $Mensaje;
  protected $Error;

  public function getIdColaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($vl) {
    $this->IdColaborador = $vl;
  }
  public function getIdColaboradores(){
    return $this->IdColaboradores;
  }
  public function setIdColaboradores($vl) {
    $this->IdColaboradores = $vl;
  }
  public function getIdPadre(){
    return $this->IdPadre;
  }
  public function setIdPadre($vl) {
    $this->IdPadre = $vl;
  }
  
  public function getIdPadreAnterior(){
    return $this->IdPadreAnterior;
  }
  public function setIdPadreAnterior($vl) {
    $this->IdPadreAnterior = $vl;
  }
  
  public function getIdTipoColaborador(){
    return $this->IdTipoColaborador;
  }
  public function setIdTipoColaborador($vl) {
    $this->IdTipoColaborador = $vl;
  }

  public function getIdGradoInstruccion(){
    return $this->IdGradoInstruccion;
  }
  public function setIdGradoInstruccion($vl) {
    $this->IdGradoInstruccion = $vl;
  }

  public function getTipoDocumento(){
    return $this->TipoDocumento;
  }
  public function setTipoDocumento($vl) {
    $this->TipoDocumento = $vl;
  }
  
  public function getDni(){
    return $this->Dni;
  }
  public function setDni($vl) {
    $this->Dni = $vl;
  }
  
   public function getNombreCompleto(){
    return $this->ApellidoPaterno." ".$this->ApellidoMaterno." ".$this->Nombres;
  }
  public function setNombreCompleto($vl) {
    $this->NombreCompleto = $vl;
  }

  public function getNombres(){
    return $this->Nombres;
  }
  public function setNombres($vl) {
    $this->Nombres = $vl;
  }

  public function getApellidoPaterno(){
    return $this->ApellidoPaterno;
  }
  public function setApellidoPaterno($vl) {
    $this->ApellidoPaterno = $vl;
  }

  public function getApellidoMaterno(){
    return $this->ApellidoMaterno;
  }
  public function setApellidoMaterno($vl) {
    $this->ApellidoMaterno = $vl;
  }

  public function getDireccion(){
    return $this->Direccion;
  }
  public function setDireccion($vl) {
    $this->Direccion = $vl;
  }

  public function getEmail(){
    return $this->Email;
  }
  public function setEmail($vl) {
    $this->Email = $vl;
  }

  public function getTelefono(){
    return $this->Telefono;
  }
  public function setTelefono($vl) {
    $this->Telefono = $vl;
  }

  public function getCelular(){
    return $this->Celular;
  }
  public function setCelular($vl) {
    $this->Celular = $vl;
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($vl) {
    $this->Estado = $vl;
  }
  
  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($vl) {
    $this->Eliminado = $vl;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($vl) {
    $this->UsuarioCreacion = $vl;
  }
  
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($vl) {
    $this->UsuarioEliminado = $vl;
  }

  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($vl) {
    $this->FechaEliminado = $vl;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($vl) {
    $this->FechaCreacion = $vl;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($vl) {
    $this->UsuarioModificacion = $vl;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($vl) {
    $this->FechaModificacion = $vl;
  }

  public function getFechaNacimiento(){
    return $this->FechaNacimiento;
  }
  public function setFechaNacimiento($vl) {
    $this->FechaNacimiento = $vl;
  }

  public function getGradoInstruccion(){
    return $this->GradoInstruccion;
  }
  public function setGradoInstruccion($vl) {
    $this->GradoInstruccion = $vl;
  }
  
   public function getFlagEstadoAsistencia(){
    return $this->FlagEstadoAsistencia;
  }
  public function setFlagEstadoAsistencia($vl) {
    $this->FlagEstadoAsistencia = $vl;
  }

  public function getNumeroHijos(){
    return $this->NumeroHijos;
  }
  public function setNumeroHijos($vl) {
    $this->NumeroHijos = $vl;
  }
   public function getSueldo(){
    return $this->Sueldo;
  }
  public function setSueldo($vl) {
    $this->Sueldo = $vl;
  }
   public function getEstadoCivil(){
    return $this->EstadoCivil;
  }
  public function setEstadoCivil($vl) {
    $this->EstadoCivil = $vl;
  }
   public function getSexo(){
    return $this->Sexo;
  }
  public function setSexo($vl) {
    $this->Sexo = $vl;
  }  
  public function getIdRol(){
    return $this->IdRol;
  }
  public function setIdRol($vl) {
    $this->IdRol = $vl;
  }
  public function getFiltroColaborador(){
    return $this->FiltroColaborador;
  }
  public function setFiltroColaborador($vl) {
    $this->FiltroColaborador = $vl;
  }
   public function getTipoSeguro(){
    return $this->TipoSeguro;
  }
  public function setTipoSeguro($vl) {
    $this->TipoSeguro = $vl;
  }
  
   public function getNumeroSeguro(){
    return $this->NumeroSeguro;
  }
  public function setNumeroSeguro($vl) {
    $this->NumeroSeguro = $vl;
  }
  
   public function getAsignacionFamiliar(){
    return $this->AsignacionFamiliar;
  }
  public function setAsignacionFamiliar($vl) {
    $this->AsignacionFamiliar = $vl;
  }
  
  public function getPension(){
    return $this->Pension;
  }
  public function setPension($vl) {
    $this->Pension = $vl;
  }
  
  public function getTipoPension(){
    return $this->TipoPension;
  }
  public function setTipoPension($vl) {
    $this->TipoPension = $vl;
  }
  
   public function getNombrePension(){
    return $this->NombrePension;
  }
  public function setNombrePension($vl) {
    $this->NombrePension = $vl;
  }
  
   public function getNumeroPension(){
    return $this->NumeroPension;
  }
  public function setNumeroPension($vl) {
    $this->NumeroPension = $vl;
  }
  
   public function getPagoRpm(){
    return $this->PagoRpm;
  }
  public function setPagoRpm($vl) {
    $this->PagoRpm = $vl;
  }
  public function getBono(){
    return $this->Bono;
  }
  public function setBono($vl) {
    $this->Bono = $vl;
  }
  public function getTipoPlanilla(){
    return $this->TipoPlanilla;
  }
  public function setTipoPlanilla($vl) {
    $this->TipoPlanilla = $vl;
  }
  public function getFechaIngreso(){
    return $this->FechaIngreso;
  }
  public function setFechaIngreso($vl) {
    $this->FechaIngreso = $vl;
  }
  public function getUsuario(){
    return $this->Usuario;
  }
  public function setUsuario($vl) {
    $this->Usuario = $vl;
  } 
  public function setHoraIngreso($vl) {
    $this->HoraIngreso = $vl;
  }
   public function getHoraIngreso(){
    return $this->HoraIngreso;
  }
  public function setMinutoIngreso($vl) {
    $this->MinutoIngreso = $vl;
  }
  
  public function setMontoDescuento($vl) {
    $this->MontoDescuento = $vl;
  }
   public function getMontoDescuento(){
    return $this->MontoDescuento;
  }
   public function getMinutoIngreso(){
    return $this->MinutoIngreso;
  }
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl) {
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl) {
    $this->Error = $vl;
  }

}?>